Bug 1805490 - tcmu-runner does not clean up its blacklisted entries upon recovery
Summary: tcmu-runner does not clean up its blacklisted entries upon recovery
Keywords:
Status: POST
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: iSCSI
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 5.0
Assignee: Xiubo Li
QA Contact: Madhavi Kasturi
URL:
Whiteboard:
Depends On:
Blocks: 1494421 1503692
TreeView+ depends on / blocked
 
Reported: 2020-02-20 21:32 UTC by Jason Dillaman
Modified: 2021-02-15 02:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1503692
Environment:
Last Closed: 2020-02-21 19:59:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github open-iscsi tcmu-runner pull 634 0 None closed rbd: remove all the stale blacklist entries when opening devices 2021-01-22 17:26:24 UTC

Comment 1 Jason Dillaman 2020-02-20 21:33:52 UTC
Clone of RHCS 3.x BZ for RHCS 4.x

Comment 5 Ken Dreyer (Red Hat) 2021-01-12 23:02:12 UTC
Jason or Xiubo, would you mind making a new tcmu-runner upstream release so we can get https://github.com/open-iscsi/tcmu-runner/pull/634 as a part of that?


Note You need to log in before you can comment on or make changes to this bug.